%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Kitchen contains a cornucopia of useful code for python
Name:		python26-kitchen
Version:	1.0.0
Release:	1
BuildArch:	noarch
License: 	LGPL
URL:		http://pypi.python.org/pypi/kitchen/
Group:		Development/Python	
Source0:	kitchen-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: python%{PVER}-devel
BuildRequires: python%{PVER}-setuptools

%description
collection of useful code snippets for python

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn kitchen-%{version}

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install -O1 --skip-build --root="$RPM_BUILD_ROOT" --prefix="%{_prefix}"

%files
%defattr(-,root,root)
%{python_sitelib}/kitchen-1.0.0-py2.6.egg-info/PKG-INFO
%{python_sitelib}/kitchen-1.0.0-py2.6.egg-info/SOURCES.txt
%{python_sitelib}/kitchen-1.0.0-py2.6.egg-info/dependency_links.txt
%{python_sitelib}/kitchen-1.0.0-py2.6.egg-info/top_level.txt
%{python_sitearch}/kitchen

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 10 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Initial CCux package release
